/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
#ifndef _DVBSX_DISEQCTST_REG_INIT_H
#define _DVBSX_DISEQCTST_REG_INIT_H

/* -------------------------------------------------------------------------
 * File name  : dvbsx_diseqctst_reg_init.h
 * File type  : C header file
 * -------------------------------------------------------------------------
 * Description:  Register map constants
 * Generated by spirit2regtest v2.24_alpha3
 * -------------------------------------------------------------------------
 */


/* Register map constants */

/* DISTBUS */
#define RC8CODEW_DVBSX_DISEQCTST_DISTBUS                             0x00000000
#define RC8CODEW_DVBSX_DISEQCTST_DISTBUS__DEFAULT                    0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISTBUS_TBUS_DISRXCFG__MASK         0x07      
#define FC8CODEW_DVBSX_DISEQCTST_DISTBUS_TBUS_DISTXCFG__MASK         0xE0      

/* DISTSTCFG */
#define RC8CODEW_DVBSX_DISEQCTST_DISTSTCFG                           0x00000001
#define RC8CODEW_DVBSX_DISEQCTST_DISTSTCFG__DEFAULT                  0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISTSTCFG_USE_PRBS__MASK            0x01      
#define FC8CODEW_DVBSX_DISEQCTST_DISTSTCFG_START_PRBS__MASK          0x02      
#define FC8CODEW_DVBSX_DISEQCTST_DISTSTCFG_RESET_RXSPY__MASK         0x04      

/* DISPRBSEED */
#define RC8CODEW_DVBSX_DISEQCTST_DISPRBSEED                          0x00000002
#define RC8CODEW_DVBSX_DISEQCTST_DISPRBSEED__DEFAULT                 0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISPRBSEED_PRBS_SEED__MASK          0xFF      

/* DISPRBSCNT1 */
#define RC8CODEW_DVBSX_DISEQCTST_DISPRBSCNT1                         0x00000003
#define RC8CODEW_DVBSX_DISEQCTST_DISPRBSCNT1__DEFAULT                0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISPRBSCNT1_PRBS_COUNT__MASK        0xFF      

/* DISPRBSCNT0 */
#define RC8CODEW_DVBSX_DISEQCTST_DISPRBSCNT0                         0x00000004
#define RC8CODEW_DVBSX_DISEQCTST_DISPRBSCNT0__DEFAULT                0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISPRBSCNT0_PRBS_COUNT__MASK        0xFF      

/* DISRXSPYERR1 */
#define RC8CODEW_DVBSX_DISEQCTST_DISRXSPYERR1                        0x00000005
#define RC8CODEW_DVBSX_DISEQCTST_DISRXSPYERR1__DEFAULT               0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISRXSPYERR1_RXSPY_ERRCOUNT__MASK   0xFF      

/* DISRXSPYERR0 */
#define RC8CODEW_DVBSX_DISEQCTST_DISRXSPYERR0                        0x00000006
#define RC8CODEW_DVBSX_DISEQCTST_DISRXSPYERR0__DEFAULT               0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISRXSPYERR0_RXSPY_ERRCOUNT__MASK   0xFF      

/* DISRXSPYCNT1 */
#define RC8CODEW_DVBSX_DISEQCTST_DISRXSPYCNT1                        0x00000007
#define RC8CODEW_DVBSX_DISEQCTST_DISRXSPYCNT1__DEFAULT               0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISRXSPYCNT1_RXSPY_COUNT__MASK      0xFF      

/* DISRXSPYCNT0 */
#define RC8CODEW_DVBSX_DISEQCTST_DISRXSPYCNT0                        0x00000008
#define RC8CODEW_DVBSX_DISEQCTST_DISRXSPYCNT0__DEFAULT               0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISRXSPYCNT0_RXSPY_COUNT__MASK      0xFF      

/* DISRXPEAKMEAN1 */
#define RC8CODEW_DVBSX_DISEQCTST_DISRXPEAKMEAN1                      0x00000009
#define RC8CODEW_DVBSX_DISEQCTST_DISRXPEAKMEAN1__DEFAULT             0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISRXPEAKMEAN1_PEAK_MEAN__MASK      0x01      

/* DISRXPEAKMEAN0 */
#define RC8CODEW_DVBSX_DISEQCTST_DISRXPEAKMEAN0                      0x0000000a
#define RC8CODEW_DVBSX_DISEQCTST_DISRXPEAKMEAN0__DEFAULT             0x0       
#define FC8CODEW_DVBSX_DISEQCTST_DISRXPEAKMEAN0_PEAK_MEAN__MASK      0xFF      


/* Number of registers */
#define C8CODEW_DVBSX_DISEQCTST_REG_NBREGS                           11        

/* Number of fields */
#define C8CODEW_DVBSX_DISEQCTST_REG_NBFIELDS                         14        



#endif /* #ifndef _DVBSX_DISEQCTST_REG_INIT_H */
